跳转到内容

Hunyuan3d V3 · Text to 3D

集成

模型 id hunyuan3d-v3/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.375 375 API 积分 · ≈ ₽40.24 运行前会测量你的文件 在此页面运行

获取 API 密钥
Tencent 文本转 3D

Hunyuan3D V3 文本转 3D,输出支持 Normal、LowPoly 或 Geometry,并提供 PBR 选项

Tencent · 3D

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 88 / 1024

生成提示词,最多支持 1024 个 UTF-8 字符,用于指定应创建的 3D 内容。

generate_type 默认 Normal

生成模式:`Normal` 生成带纹理的模型;`LowPoly` 减少多边形;`Geometry` 生成无纹理的白色模型。

默认 500000

所需面数,范围为 40,000 至 1,500,000。

高级 polygon_type · enable_safety_checker
polygon_type 默认 triangle

多边形类型,仅在 `GenerateType` 为 `LowPoly` 时应用。

POST /run/hunyuan3d-v3/text-to-3d?wait=20 报价 → $0.375
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Hunyuan3d V3 · Text to 3D

根据最多 1024 个字符的 `prompt` 生成 3D 模型,无需图像。`generate_type` 选择带纹理的 Normal 模型、LowPoly 简化模型或白色 Geometry 模型;`polygon_type` 为 LowPoly 设置 triangle 或 quadrilateral。`enable_pbr` 添加 PBR 材质,`face_count` 范围为 40000 到 1500000。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 1,024 个字符
生成提示词,最多支持 1024 个 UTF-8 字符,用于指定应创建的 3D 内容。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
enable_pbr可选
类型boolean
默认值false
生成 PBR 材质的开关。
face_count可选
类型integer
默认值500000
40,000 – 1,500,000
所需面数,范围为 40,000 至 1,500,000。
generate_type可选
类型enum
默认值Normal
NormalLowPolyGeometry
生成模式:`Normal` 生成带纹理的模型;`LowPoly` 减少多边形;`Geometry` 生成无纹理的白色模型。
polygon_type可选
类型enum
默认值triangle
trianglequadrilateral
多边形类型,仅在 `GenerateType` 为 `LowPoly` 时应用。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan3d-v3/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 375,
    "usd": "0.375",
    "charged": 375,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
model_glb
object {url, content_type, file_name, file_size}包含生成 3D 对象的 GLB 文件。
thumbnail
object {url, content_type, file_name, file_size} | null显示生成模型预览的缩略图。
model_urls
object {glb, fbx, obj, usdz}指向各种格式 3D 模型的链接。
seed
integer | null生成过程中使用的种子值。

更多模型:文本转 3D

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/hunyuan3d-v3/text-to-3d.md. 所有模型和指南: https://doitong.com/developers/llms.txt